[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAnchorSide.Side

The side of the target Control, to which we anchor.

## Declaration

Source position: controls.pp line 958

`published property TAnchorSide.Side : TAnchorSideReference read FSide write SetSide default asrTop;`

## Description

For example, if the right side of a Button1 is anchored to the left side of Edit1, then:

    Button1.AnchorSide[akRight].Control=Edit1

and

    Button1.AnchorSide[akRight].Side=asrLeft